=== debian/control ===
Source: ros-noetic-velodyne-pcl
Section: misc
Priority: optional
Maintainer: Josh Whitley <josh.whitley@autoware.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-pcl-ros, ros-noetic-roslint
Homepage: http://wiki.ros.org/velodyne_pcl
Standards-Version: 3.9.2

Package: ros-noetic-velodyne-pcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-pcl-ros
Description: The velodyne_pcl package
